<%= form_with model: @utilisateur, local: true do |form| %>

    <% if @utilisateur.errors.any? %>
        <strong>WARNING</strong>
        <ul>
            <% @utilisateur.errors.full_messages.each do |message| %>
                <li><%= message %></li>
            <% end %>
        </ul>
    <% end %>

    <div class="row">
        <div class="col-sm-4">
            <div class="well">
                <!-- Prenom -->
                <p>
                    <%= form.label I18n.t("utilisateurs.new.prenom") %><br>
                    <%= form.text_field :prenom %>
                </p>
                
                <!-- Nom -->
                <p>
                    <%= form.label I18n.t("utilisateurs.new.nom") %><br>
                    <%= form.text_field :nom %>
                </p>

                
                <!-- Email -->
                <p>
                    <%= form.label I18n.t("utilisateurs.new.email") %><br>
                    <%= form.text_field :email %>
                </p>

                <!-- Phone -->
                <p>
                    <%= form.label I18n.t("utilisateurs.new.phone") %><br>
                    <%= form.text_field :phone %>
                </p>

                <!-- Gsm -->
                <p>
                    <%= form.label I18n.t("utilisateurs.new.gsm") %><br>
                    <%= form.text_field :gsm %>
                </p>

                <!-- Service -->
                <p>
                    <%= form.label I18n.t("utilisateurs.new.service") %><br>
                    <%= form.select(:service_id) do %>
                        <%= select_option_tag("", nil, @utilisateur.service_id) %>
                        <% @services.find_each do |l| %>
                            <%= select_option_tag(l.nom.capitalize, l.id, @utilisateur.service_id) %>
                        <% end %>
                    <% end %>
                </p>

                <!-- Groupe -->
                <p>
                    <%= form.label I18n.t("utilisateurs.new.groupe") %><br>
                    <%= form.select(:groupe_id) do %>
                        <%= select_option_tag("", nil, @utilisateur.groupe_id) %>
                        <% @groupes.find_each do |l| %>
                            <%= select_option_tag(l.nom.capitalize, l.id, @utilisateur.groupe_id) %>
                        <% end %>
                    <% end %>
                </p>
            </div>
        </div>

        <div class="col-sm-4">
            <!-- ADMIN -->
            <% if user_signed_in? && is_super_admin? %>
                <div class="well">
                    <article>
                        <h4>
                            <div class="field">
                                <%= form.check_box :admin %> <%= form.label :admin %>
                            </div>
                        </h4>
                    </article>
                    <article>
                        <h4>
                            <div class="field">
                                <%= form.check_box :inactive %> <%= form.label :inactive %>
                            </div>
                        </h4>
                    </article>
                </div>
                <hr>
                <%= form.submit class: "btn btn-success" %>
            <% end %>
        </div>
    </div>

<% end %>